Padding is invalid and cannot be removed.

3 months ago
Hello,

I am migrating our store to a clean DB installation. We originally ran 4.0, then updated to 4.1. Over time and many plugins installed and removed, the DB just has so many useless tables.

Now that we have 4.3, I wanted to use a clean DB and have successfully migrated customers, orders, products, etc (along with their supporting tables). Everything looks great, but when I go to view an existing order, I am getting a runtime error with the above message.

I figured this was the result of the encryption key that is used on our old store settings. When I went to change the key in the settings of the new store to the key we used in the old store, a runtime error doesn't occur, however, a standard site error (error banner) is returned with the same message and it will not let me change it.

Can someone help me with this?

Thanks a million!
Kevin
3 months ago
I was able to fix this by updating the settings table with the old encryption key. I can now view the order!

Not sure why it wouldn't let me update the key using the UI??

Kevin